<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "provider_treatment_performed".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProviderTreatmentPerformed".
 *
 * Columns in table "provider_treatment_performed" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property integer $provider_practice_specialty_id
 * @property string $times_performed
 * @property integer $treatment_id
 * @property integer $quality_area_id
 *
 */
abstract class BaseProviderTreatmentPerformed extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'provider_treatment_performed';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProviderTreatmentPerformed|ProviderTreatmentPerformeds', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('provider_practice_specialty_id, times_performed', 'required'),
            array('provider_practice_specialty_id, treatment_id, quality_area_id', 'numerical', 'integerOnly' => true),
            array('times_performed', 'length', 'max' => 10),
            array('treatment_id, quality_area_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, provider_practice_specialty_id, times_performed, treatment_id, quality_area_id', 'safe',
                'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_practice_specialty_id' => Yii::t('app', 'Provider Practice Specialty'),
            'times_performed' => Yii::t('app', 'Times Performed'),
            'treatment_id' => Yii::t('app', 'Treatment'),
            'quality_area_id' => Yii::t('app', 'Quality Area'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('provider_practice_specialty_id', $this->provider_practice_specialty_id);
        $criteria->compare('times_performed', $this->times_performed, true);
        $criteria->compare('treatment_id', $this->treatment_id);
        $criteria->compare('quality_area_id', $this->quality_area_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
